Apply Data Grants
Applies data grants for a given Profitability and Cost Management application.
This API submits a job to remove all existing data grants in Oracle Essbase and recreate them with the latest information from the application. It can also be used to repair data grants if there are any issues.
Required Roles
Service Administrator, Power User
REST Resource
POST /epm/rest/{api_version}/applications/{application}/jobs/applyDataGrants
Note:
Before using the REST resources, you must understand how to access the REST resources and other important concepts. See Implementation Best Practices for Cloud EPM REST APIs. Using this REST API requires prerequisites. See Prerequisites.
Request
Supported Media Types: application/json
The following table summarizes the client request.
Table 10-5 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with, such as v1 |
Path | Yes | None |
application |
Name of the application to create | Path | Yes | None |
Example URL
https://<BASE-URL>/epm/rest/v1/applications/BksML30/jobs/applyDataGrants
Response
Supported Media Types: application/json
Table 10-6 Parameters
| Name | Description |
|---|---|
details |
Task ID, such as BksML12_BksML12_LoadData_D20160118T051020_ba8_1 |
status |
See Migration Status Codes |
statusMessage |
Message about the status, such as Success |
type |
Profitability |
data |
Parameters as key value pairs |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Relationship type |
data |
Parameters as key value pairs passed in the request |
Example of Response Body
The following shows an example of the response body in JSON format.
{
"type":"Profitability",
"status":-1,
"statusMessage":"In Progress",
"details":"BksML30_ApplyDataGrants_D20220511T114653_b85",
"links":[
{
"href":"https://<BASE-URL>/epm/rest/v1/applications/jobs/ChecktaskStatusJob/BksML30_ApplyDataGrants_D20220511T114653_b85",
"action":"GET",
"rel":"Job Status"
}
]
}